<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>Segnalazione</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content fullscreen>
  <div #map class="map" [ngStyle]="style"></div>
  <div *ngFor="let post of detailPost">
    <div class="ion-padding-horizontal">
      <h3>{{post.name}}</h3>
    </div>
    <ion-card style="margin-top: 8px;margin-bottom: 0;" *ngIf="post.images.length == 1 && !this.hasAddress"class="custom-skeleton">
      <ion-skeleton-text animated
        style="height: 200px;padding: 0;
    margin: 0;"
        [ngClass]="{
   'd-none': !imageLoading,
   'd-block': imageLoading
}"
      ></ion-skeleton-text>
      <img
        [ngClass]="{
   'd-none': imageLoading,
   'd-block': !imageLoading
}" [src]="post.image | secure | async"  (load)="imageLoaded()"/>
    </ion-card>
    <div class="ion-padding">
      <ion-text>
        <h2>{{post.subject}}</h2>
        <p><span>ID: {{post.id}}</span><span style="float: right;">{{post.published_at | date: 'dd/MM/yyyy'}}</span></p>
        <p>
          Stato della segnalazione:
          <ion-chip color="primary">
            <ion-label>{{getStatusPost(post.status)}}</ion-label>
          </ion-chip>
        </p>
        <ion-col size="12" *ngIf="post.images.length > 0 && this.hasAddress"
                 class="d-flex ion-justify-content-between ion-wrap">
          <ion-grid>
            <ion-row>
              <ion-col *ngFor="let image of post.images;let i = index" (click)='showFullScreenImage(image)'>
                <ion-img [src]="image"></ion-img>
              </ion-col>
            </ion-row>
          </ion-grid>
        </ion-col>
        <p>{{post.description}}</p>
      </ion-text>
      <ion-list *ngIf="comments.length > 0" @fade>
        <ion-list-header>
          Messaggi recenti
        </ion-list-header>

        <ion-item *ngFor="let comment of comments" @fade lines="full">
          <ion-avatar [slot]="comment.creator == myId ? 'start': 'end'">
            <img src="assets/icon/avatar.svg">
          </ion-avatar>
          <ion-label>
            <h3>{{comment.text}}</h3>
            <p>{{comment.published_at | date:'medium' }}</p>
          </ion-label>
        </ion-item>
      </ion-list>
      <form novalidate
            [formGroup]="postsForm"
            (ngSubmit)="onSubmit()">
        <div class="ion-padding" @fade>
          <ion-item lines="full">
            <ion-label position="floating">Aggiungi un commento</ion-label>
            <ion-textarea
              formControlName="text"
            ></ion-textarea>
          </ion-item>
          <ion-col
            class="ion-margin-horizontal"
            size="12"
            *ngIf="isSubmitted && errorControl.text.errors?.required"
          >
            <small class="error">Campo obbligatorio</small>
          </ion-col>
          <div style="justify-content: center;
    display: flex;margin-top:16px">
            <div>
              <ion-button fill="outline" type="submit">Pubblica commento</ion-button>
            </div>
          </div>
        </div>
      </form>
    </div>
  </div>

</ion-content>
